package com.srs.dormitory.mapper;

import java.util.List;

import com.srs.dormitory.domain.DmsSemester;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 学期Mapper接口
 *
 * @author srs
 * @date 2023-11-09
 */
@Mapper
public interface DmsSemesterMapper extends BaseMapper<DmsSemester> {
    /**
     * 查询学期
     *
     * @param id 学期主键
     * @return 学期
     */
    public DmsSemester selectDmsSemesterById(Long id);

    /**
     * 查询学期列表
     *
     * @param dmsSemester 学期
     * @return 学期集合
     */
    List<DmsSemester> selectDmsSemesterList(DmsSemester dmsSemester);

    /**
     * 新增学期
     *
     * @param dmsSemester 学期
     * @return 结果
     */
    int insertDmsSemester(DmsSemester dmsSemester);

    /**
     * 修改学期
     *
     * @param dmsSemester 学期
     * @return 结果
     */
    int updateDmsSemester(DmsSemester dmsSemester);

    /**
     * 删除学期
     *
     * @param id 学期主键
     * @return 结果
     */
    int deleteDmsSemesterById(Long id);

    /**
     * 批量删除学期
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsSemesterByIds(Long[] ids);
}
